/**
 * PETALS - PETALS Services Platform. Copyright (c) 2005 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id: PojoSE.java 676 2006-06-27 15:44:03Z alouis $
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.se.pojo;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import org.ow2.petals.component.framework.api.su.ServiceUnitListener;
import org.ow2.petals.component.framework.se.AbstractServiceEngine;
import org.ow2.petals.se.pojo.su.POJOSUListener;

public class PojoSE extends AbstractServiceEngine {

    private Map<String, Pojo> pojos;

    public Map<String, Pojo> getPojos() {
        return pojos;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.ow2.petals.component.framework.AbstractComponent#doInit()
     */
    @Override
    public void doInit() {
        pojos = new ConcurrentHashMap<String, Pojo>();
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * org.ow2.petals.component.framework.AbstractComponent#getServiceUnitListener
     * ()
     */
    @Override
    public ServiceUnitListener getServiceUnitListener() {
        return new POJOSUListener(this);
    }

}
